#include "clk.h"
#include "led.h"
#include "button.h"

void delay(unsigned long int time)
{
	unsigned long int i;
	unsigned long int j;
	for(i=0; i<time; i++)
	for(j=0; j<100000; j++)
	{
		i=i;
	}
}

int main(void)
{
	//Создание переменной для записи текущего состояния кнопки
	uint8_t state = 0;
	
	//Инициализация модулей
	clk_CoreConfig();
	led_Init();
	button_Init();

  while (1){
		//Считывание текущего состояния кнопки SA3
		state = button_State();
		//Запись состояния кнопки на вывод светодиода VD2
		
		if(state)
		{
			led_Write(0,0);
		  led_Write(1,0);
		  led_Write(2,0);
			
			delay(20);
			
			led_Write(0,1);
		  led_Write(1,1);
		  led_Write(2,1);
			
			delay(20);
		}
		else
		{
			led_Write(0,0);
		  led_Write(1,0);
		  led_Write(2,0);
		}
	}
}
